# Contact Master Data API

**API for getting helpline numbers**

| Endpoint                                                                                            |
| --------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /agent/cou-master/masters/contact-master**</mark> |

**Request Parameters**

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description              |
| -------------------------------------- | --------------------- | --------- | --------- | ------------------------ |
| \[ROOT] (No parent property / element) | category              | C         | String    | Name of the category     |
| \[ROOT] (No parent property / element) | tenantId              | M         | String    | Tenant ID of the OU/Bank |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                                  |
| -------------------------------------- | --------------------- | --------- | --------- | ------------------------------------------------------------ |
| \[ROOT] (No parent property / element) | contactMasterList     | M         | List      | A boolean which tells if amount breakupset is present or not |
| contactMasterList                      | mobNo                 | M         | String    | It will be the contact details                               |
| generalResp                            | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                          |
|                                        | status                | M         | String    | It is either “Success” or failure                            |
|                                        | message               | M         | String    | Contains the reason message for failure / success            |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
 {
 "generalResp": { "statusCode": "200",
 "status": "success",
 "message": "contact master retrieved successfully",
  "remarks": ""
 },
 "contactMasterList": [
 {
 "mobNo": "8891604640"
 }
 ]
 }
```
